(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      7336,        231]
NotebookOptionsPosition[      6548,        199]
NotebookOutlinePosition[      6890,        214]
CellTagsIndexPosition[      6847,        211]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Full integral", "Section",
 CellChangeTimes->{{3.5258274778423533`*^9, 3.5258274806455135`*^9}}],

Cell["Parameters", "Text",
 CellChangeTimes->{{3.5258275106482296`*^9, 3.5258275142524357`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Rho]", "=", 
   RowBox[{"5515.3", "*", 
    SuperscriptBox["10", "9"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"G", "=", 
   RowBox[{"6.67", " ", "*", " ", 
    SuperscriptBox["10", 
     RowBox[{"-", "11"}]], " ", 
    SuperscriptBox["10", 
     RowBox[{"-", "9"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "=", "6357"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Theta]", "=", "0.0115"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", "=", 
   RowBox[{"R", " ", 
    RowBox[{"Cos", "[", 
     FractionBox["\[Theta]", "2"], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r", "=", 
   FractionBox["h", 
    RowBox[{"Cos", "[", "\[Phi]", "]"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", "300000"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5258275367307215`*^9, 3.5258275445781703`*^9}}],

Cell["Viable gravity", "Text",
 CellChangeTimes->{
  3.52581913272604*^9, {3.5258274718620114`*^9, 3.525827473320095*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"M", "=", 
   RowBox[{
    FractionBox["4", "3"], " ", "3.1416", " ", 
    SuperscriptBox["r", "3"], " ", "\[Rho]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"2", " ", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    SqrtBox[
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "M", " ", 
          FractionBox["G", 
           RowBox[{"r", "  ", 
            SuperscriptBox["c", "2"]}]]}]}], 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "M", " ", 
          FractionBox["G", 
           RowBox[{"r", " ", 
            SuperscriptBox["c", "2"]}]]}]}]], 
       FractionBox["1", 
        SuperscriptBox["c", "2"]], 
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["h", 
          RowBox[{"Cos", "[", "\[Phi]", "]"}]], ")"}], "2"]}], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"h", " ", 
          RowBox[{"Tan", "[", "\[Phi]", "]"}]}], ")"}], "2"], 
       RowBox[{
        SuperscriptBox["c", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", " ", 
          RowBox[{"2", " ", "M", " ", 
           FractionBox["G", 
            RowBox[{"r", " ", 
             SuperscriptBox["c", "2"]}]]}]}], ")"}]}]]}]], ",", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0", ",", 
      FractionBox["\[Theta]", "2"]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5257824796746054`*^9, 3.525782726085699*^9}, {
   3.525818767073126*^9, 3.525818782373001*^9}, 3.5258188246054163`*^9, 
   3.525818861644535*^9, {3.5258188931393366`*^9, 3.5258189240651054`*^9}, {
   3.5258189672085733`*^9, 3.525818991901985*^9}, {3.5258190510463686`*^9, 
   3.5258190776588907`*^9}, {3.525827496162401*^9, 3.525827532648488*^9}}],

Cell[BoxData["0.00024368365750689964`"], "Output",
 CellChangeTimes->{
  3.5257827308829737`*^9, {3.525818783858086*^9, 3.5258188628086014`*^9}, 
   3.525818894198397*^9, 3.525818924389124*^9, {3.5258189730989103`*^9, 
   3.525819011771122*^9}, {3.525819051531396*^9, 3.5258190785299406`*^9}}]
}, Open  ]],

Cell["Constant gravity", "Text",
 CellChangeTimes->{{3.5258191060445137`*^9, 3.5258191088856764`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"M", "=", 
   RowBox[{
    FractionBox["4", "3"], " ", "3.1416", " ", 
    SuperscriptBox["R", "3"], " ", "\[Rho]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"2", " ", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    SqrtBox[
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "M", " ", 
          FractionBox["G", 
           RowBox[{"r", "  ", 
            SuperscriptBox["c", "2"]}]]}]}], 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "M", " ", 
          FractionBox["G", 
           RowBox[{"r", " ", 
            SuperscriptBox["c", "2"]}]]}]}]], 
       FractionBox["1", 
        SuperscriptBox["c", "2"]], 
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["h", 
          RowBox[{"Cos", "[", "\[Phi]", "]"}]], ")"}], "2"]}], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"h", " ", 
          RowBox[{"Tan", "[", "\[Phi]", "]"}]}], ")"}], "2"], 
       RowBox[{
        SuperscriptBox["c", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", " ", 
          RowBox[{"2", " ", "M", " ", 
           FractionBox["G", 
            RowBox[{"r", " ", 
             SuperscriptBox["c", "2"]}]]}]}], ")"}]}]]}]], ",", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0", ",", 
      FractionBox["\[Theta]", "2"]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5257824796746054`*^9, 3.525782726085699*^9}, {
   3.525818767073126*^9, 3.525818782373001*^9}, 3.5258188246054163`*^9, 
   3.525818861644535*^9, {3.5258188931393366`*^9, 3.5258189240651054`*^9}, {
   3.5258189672085733`*^9, 3.525818991901985*^9}, {3.5258190510463686`*^9, 
   3.5258190776588907`*^9}, {3.52581914216658*^9, 3.5258191425146*^9}, {
   3.525827552890646*^9, 3.525827558762982*^9}}],

Cell[BoxData["0.00024368365750691075`"], "Output",
 CellChangeTimes->{3.5258191478109026`*^9}]
}, Open  ]],

Cell["Difference", "Text",
 CellChangeTimes->{{3.525819174193412*^9, 3.5258191771385803`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"0.00024368365750689964`", "-", "0.00024368365750691075`"}]], "Input",
 CellChangeTimes->{{3.5258191851880407`*^9, 3.5258191913863955`*^9}, {
  3.5258260547039547`*^9, 3.525826060556289*^9}, {3.5258275705596566`*^9, 
  3.5258275709296775`*^9}}],

Cell[BoxData[
 RowBox[{"-", "1.111307226797642`*^-17"}]], "Output",
 CellChangeTimes->{3.5258191925054593`*^9, 3.525826936360382*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{707, 523},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 102, 1, 71, "Section"],
Cell[684, 25, 96, 1, 29, "Text"],
Cell[783, 28, 918, 27, 186, "Input"],
Cell[1704, 57, 122, 2, 29, "Text"],
Cell[CellGroupData[{
Cell[1851, 63, 1775, 49, 117, "Input"],
Cell[3629, 114, 293, 4, 30, "Output"]
}, Open  ]],
Cell[3937, 121, 102, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[4064, 126, 1822, 50, 117, "Input"],
Cell[5889, 178, 94, 1, 30, "Output"]
}, Open  ]],
Cell[5998, 182, 94, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[6117, 187, 267, 4, 31, "Input"],
Cell[6387, 193, 133, 2, 30, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
